## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global app_id  io.github.arunsivaramanneo.GPUViewer

Name:           gpu-viewer
Version:        3.06
Release:        %autorelease
Summary:        A front-end to glxinfo, vulkaninfo, clinfo and es2_info
License:        GPL-3.0-or-later
URL:            https://github.com/arunsivaramanneo/GPU-Viewer/
Source:         %{url}/archive/v%{version}/GPU-Viewer-%{version}.tar.gz

# Install tab icons into application-specific path
Patch:          %{url}/pull/83.patch

BuildRequires:  meson
BuildRequires:  python3-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
Requires:       python3
Requires:       python3-gobject
Requires:       gtk4
Requires:       libadwaita
Requires:       gawk
Requires:       grep
Requires:       hicolor-icon-theme
Requires:       clinfo
Requires:       egl-utils
Requires:       glx-utils
Requires:       redhat-lsb
Requires:       vdpauinfo
Requires:       vulkan-tools
Requires:       xdpyinfo

BuildArch:      noarch

%description
This project aims to capture all the important details of glxinfo, vulkaninfo
and clinfo in a GUI. The project is being developed using python 3 pygobject
with GTK. All the important details are extracted using glxinfo/vulkaninfo/clinfo
with the combination of grep, CAT, AWK commands and displayed in the front-end.

%prep
%autosetup -n GPU-Viewer-%{version} -p1


%build
%meson
%meson_build


%install
%meson_install

rm -f %{buildroot}%{_datadir}/%{name}/{Change,LICENSE,README}*
%py_byte_compile %{__python3} %{buildroot}%{_datadir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{app_id}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{app_id}.metainfo.xml


%files
%license LICENSE
%doc README.md Change*
%{_bindir}/gpu-viewer
%{_datadir}/applications/%{app_id}.desktop
%{_datadir}/gpu-viewer/
%{_datadir}/icons/hicolor/*/*/%{app_id}*
%{_metainfodir}/%{app_id}.metainfo.xml


%changelog
## START: Generated by rpmautospec
* Thu Nov 07 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 3.06-1
- Uncommitted changes

* Tue Feb 21 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 2.24-1
- Initial import
## END: Generated by rpmautospec
